import { Component, ReactNode } from 'react';
import { Status } from '../ProgressStep';
import '../../helpers/base.less';
import './Progress.less';
export interface ProgressProps {
    /**
     * Content of the `Progress`.
     * @since 1.10.0
     */
    children: ReactNode;
    /**
     * On overall status event handler.
     * @since 1.10.0
     */
    onStatusChange?: (status: Status) => void;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
declare type ProgressState = {
    status: Status | null;
};
/**
 * `Progress` is used for showing progress of performing long operations.
 * @since 1.10.0
 */
declare class Progress extends Component<ProgressProps, ProgressState> {
    static defaultProps: {
        onStatusChange: null;
        children: null;
        className: null;
        baseClassName: string;
    };
    state: {
        status: null;
    };
    static getDerivedStateFromProps({ children }: ProgressProps): {
        status: string;
    };
    componentDidMount(): void;
    componentDidUpdate(_: ProgressProps, prevState: ProgressState): void;
    render(): JSX.Element;
}
export default Progress;
